Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IPointGraphic

    java.lang.Object
      igeo.IGraphicObject
          igeo.gui.IPointGraphic

All Implemented Interfaces:
  IGraphicI, ISubobject

    public class IPointGraphic

extends IGraphicObject

Graphic subobject class to draw point object

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`static double` | `defaultSize`
`IVecI` | `pt`
`double` | `size`

Fields inherited from class igeo.IGraphicObject
`color, defaultAlpha, defaultBlue, defaultGreen, defaultRed, parent, transparentModeAlpha, update, visible`

Constructor Summary
`IPointGraphic(IPoint p)`
`IPointGraphic(IPointR p)`

Method Summary
`void` | `draw(IGraphics g)`
`void` | `initPoint()`
`void` | `initPoint(IVecI p)`
`boolean` | `isDrawable(IGraphicMode m)`
`double` | `size()`
`void` | `size(double sz)`

Methods inherited from class igeo.IGraphicObject
`getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getHSBColor, getHSBColor, hide, isVisible, parent, parent, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, show, update, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultSize

    public static double defaultSize

### pt

    public IVecI pt

### size

    public double size

Constructor Detail

### IPointGraphic

    public IPointGraphic(IPoint p)

### IPointGraphic

    public IPointGraphic(IPointR p)

Method Detail

### initPoint

    public void initPoint(IVecI p)

### initPoint

    public void initPoint()

### size

    public void size(double sz)

### size

    public double size()

### draw

    public void draw(IGraphics g)

  Specified by:
    `draw` in interface `IGraphicI`
  Specified by:
    `draw` in class `IGraphicObject`

### isDrawable

    public boolean isDrawable(IGraphicMode m)

  Specified by:
    `isDrawable` in interface `IGraphicI`
  Specified by:
    `isDrawable` in class `IGraphicObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD